Package org.apache.sling.resourceresolver.impl.mapping

# Class Interpolator

java.lang.Object
org.apache.sling.resourceresolver.impl.mapping.Interpolator

public class Interpolator extends Object
Replace place holders in a string

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`Interpolator.Provider`
The value for the replacement is returned by this provider

## Field Summary

Fields
Modifier and Type
Field
Description
`static final char`
`DIRECTIVES_SEPARATOR`
`static final char`
`DIRECTIVES_VALUE_SEPARATOR`
`static final char`
`END`
`static final char`
`ESCAPE`
`static final char`
`NAME_SEPARATOR`
`static final String`
`START`

## Constructor Summary

Constructors
Constructor
Description
`Interpolator()`

## Method Summary

Modifier and Type
Method
Description
`static Object`
`replace(String value, Interpolator.Provider provider)`
Replace all place holders

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### END

public static final char END

See Also:
  - Constant Field Values

### START

public static final String START

See Also:
  - Constant Field Values

### NAME_SEPARATOR

public static final char NAME_SEPARATOR

See Also:
  - Constant Field Values

### DIRECTIVES_SEPARATOR

public static final char DIRECTIVES_SEPARATOR

See Also:
  - Constant Field Values

### DIRECTIVES_VALUE_SEPARATOR

public static final char DIRECTIVES_VALUE_SEPARATOR

See Also:
  - Constant Field Values

### ESCAPE

public static final char ESCAPE

See Also:
  - Constant Field Values

## Constructor Details

### Interpolator

public Interpolator()

## Method Details

### replace

public static Object replace(String value, Interpolator.Provider provider)
Replace all place holders

Parameters:
  `value` - Value with place holders
  `provider` - Provider for providing the values
Returns:
  Replaced object (or original value)